aboutsummaryrefslogtreecommitdiff
path: root/bin/unfollow
diff options
context:
space:
mode:
Diffstat (limited to 'bin/unfollow')
-rwxr-xr-xbin/unfollow25
1 files changed, 25 insertions, 0 deletions
diff --git a/bin/unfollow b/bin/unfollow
new file mode 100755
index 0000000..6b9e1d6
--- /dev/null
+++ b/bin/unfollow
@@ -0,0 +1,25 @@
+#!/bin/bash
+FOLLOWING="$HOME/.arching-kaos/following"
+fentries="$(cat $FOLLOWING)"
+if [ ! -z $1 ]
+then
+ search="$1"
+ sed -i -e 's,'"$search"',,g' $FOLLOWING
+ if [ $? == 0 ]
+ then
+ IPFS="$(ipfs add -q $FOLLOWING)"
+ if [ $? == 0 ]
+ then
+ profile set repositories "$IPFS"
+ else
+ logthis "IPFS problem"
+ fi
+ else
+ logthis "sed didn't found $search"
+ fi
+else
+ echo "Who to unfollow?"
+ echo "Type following to see them"
+fi
+
+